Package commoble.morered.client

# Class BlockPreviewRenderer

java.lang.Object
net.minecraft.client.renderer.block.ModelBlockRenderer
commoble.morered.client.BlockPreviewRenderer

public class BlockPreviewRenderer extends net.minecraft.client.renderer.block.ModelBlockRenderer
Wrapper class around the vanilla block renderer so we don't have to copy five functions verbatim

## Nested Class Summary

## Nested classes/interfaces inherited from class net.minecraft.client.renderer.block.ModelBlockRenderer

`net.minecraft.client.renderer.block.ModelBlockRenderer.AdjacencyInfo, net.minecraft.client.renderer.block.ModelBlockRenderer.SizeInfo`

## Field Summary

### Fields inherited from class net.minecraft.client.renderer.block.ModelBlockRenderer

`blockColors`

## Constructor Summary

Constructors
Constructor
Description
`BlockPreviewRenderer(net.minecraft.client.renderer.block.ModelBlockRenderer baseRenderer)`

## Method Summary

Modifier and Type
Method
Description
`static void`
`addTransparentQuad(com.mojang.blaze3d.vertex.PoseStack.Pose matrixEntry, net.minecraft.client.renderer.block.model.BakedQuad quad, float[] colorMuls, float r, float g, float b, int[] vertexLights, int combinedOverlayIn, boolean mulColor, com.mojang.blaze3d.vertex.VertexConsumer buffer)`
`static BlockPreviewRenderer`
`getInstance(net.minecraft.client.renderer.block.ModelBlockRenderer baseRenderer)`
`void`
`putQuadData(net.minecraft.world.level.BlockAndTintGetter level, net.minecraft.world.level.block.state.BlockState state, net.minecraft.core.BlockPos pos, com.mojang.blaze3d.vertex.VertexConsumer buffer, com.mojang.blaze3d.vertex.PoseStack.Pose matrixEntry, net.minecraft.client.renderer.block.model.BakedQuad quadIn, float tintA, float tintB, float tintC, float tintD, int brightness0, int brightness1, int brightness2, int brightness3, int combinedOverlayIn)`
`static void`
`renderBlockPreview(net.minecraft.core.BlockPos pos, net.minecraft.world.level.block.state.BlockState state, net.minecraft.world.level.Level level, net.minecraft.world.phys.Vec3 currentRenderPos, com.mojang.blaze3d.vertex.PoseStack matrix, net.minecraft.client.renderer.MultiBufferSource renderTypeBuffer)`

### Methods inherited from class net.minecraft.client.renderer.block.ModelBlockRenderer

`calculateShape, clearCache, enableCaching, renderModel, renderModel, tesselateBlock, tesselateBlock, tesselateWithAO, tesselateWithAO, tesselateWithoutAO, tesselateWithoutAO`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BlockPreviewRenderer

public BlockPreviewRenderer(net.minecraft.client.renderer.block.ModelBlockRenderer baseRenderer)

## Method Details

### getInstance

public static BlockPreviewRenderer getInstance(net.minecraft.client.renderer.block.ModelBlockRenderer baseRenderer)

### renderBlockPreview

public static void renderBlockPreview(net.minecraft.core.BlockPos pos, net.minecraft.world.level.block.state.BlockState state, net.minecraft.world.level.Level level, net.minecraft.world.phys.Vec3 currentRenderPos, com.mojang.blaze3d.vertex.PoseStack matrix, net.minecraft.client.renderer.MultiBufferSource renderTypeBuffer)

### putQuadData

public void putQuadData(net.minecraft.world.level.BlockAndTintGetter level, net.minecraft.world.level.block.state.BlockState state, net.minecraft.core.BlockPos pos, com.mojang.blaze3d.vertex.VertexConsumer buffer, com.mojang.blaze3d.vertex.PoseStack.Pose matrixEntry, net.minecraft.client.renderer.block.model.BakedQuad quadIn, float tintA, float tintB, float tintC, float tintD, int brightness0, int brightness1, int brightness2, int brightness3, int combinedOverlayIn)

Overrides:
  `putQuadData` in class `net.minecraft.client.renderer.block.ModelBlockRenderer`

### addTransparentQuad

public static void addTransparentQuad(com.mojang.blaze3d.vertex.PoseStack.Pose matrixEntry, net.minecraft.client.renderer.block.model.BakedQuad quad, float[] colorMuls, float r, float g, float b, int[] vertexLights, int combinedOverlayIn, boolean mulColor, com.mojang.blaze3d.vertex.VertexConsumer buffer)